<?php
/**
 * Autoloader for php-symfony3-security and its' dependencies
 * (created by php-symfony3-3.4.39-1.fc33).
 */
require_once dirname(dirname(__DIR__)).'/autoload-common.php';

// Self PSR-4
\Fedora\Autoloader\Autoload::addPsr4('Symfony\\Component\\Security\\', __DIR__, true);

// Required dependencies
\Fedora\Autoloader\Dependencies::required([
    FEDORA_SYMFONY3_DIR.'/Component/EventDispatcher/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/HttpFoundation/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/HttpKernel/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/PropertyAccess/autoload.php'
]);

// Optional dependencies
\Fedora\Autoloader\Dependencies::optional([
    FEDORA_SYMFONY3_DIR.'/Component/Form/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/Validator/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/Routing/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/ExpressionLanguage/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/Ldap/autoload.php'
]);
